Page MenuHomePhabricator

rollout prometheus-node-exporter 0.13
Closed, ResolvedPublic

Description

node-exporter needs an upgrade to latest 0.13, stretch has 0.13.0~rc.2+ds-1 we can import that from stretch. The diff with the released version is only cosmetic: https://github.com/prometheus/node_exporter/compare/v0.13.0-rc.2...v0.13.0 .

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2016, 1:27 AM

Mentioned in SAL (#wikimedia-operations) [2016-12-07T02:58:52Z] <godog> upload prometheus-node-exporter 0.13.0~rc.2 to carbon - T152580

Mentioned in SAL (#wikimedia-operations) [2016-12-07T20:16:04Z] <godog> update prometheus-node-exporter in ulsfo/esams - T152580

Mentioned in SAL (#wikimedia-operations) [2016-12-07T20:26:13Z] <godog> update prometheus-node-exporter in codfw - T152580

Mentioned in SAL (#wikimedia-operations) [2016-12-07T20:33:29Z] <godog> update prometheus-node-exporter in eqiad - T152580

Mentioned in SAL (#wikimedia-operations) [2016-12-08T20:10:41Z] <godog> upgrade prometheus-node-exporter in labs - T152580

Note that tools can't be upgraded, the package in tools' repo takes precedence cc @yuvipanda

filippo@tools-webgrid-lighttpd-1402:~$ apt-cache policy prometheus-node-exporter
prometheus-node-exporter:
  Installed: 0.12.0~trusty3
  Candidate: 0.12.0~trusty3
  Version table:
     0.13.0~rc.2+ds-2~trusty1 0
       1001 http://apt.wikimedia.org/wikimedia/ trusty-wikimedia/universe amd64 Packages
 *** 0.12.0~trusty3 0
       1500 http://deb.tools.wmflabs.org/repo/ trusty-tools/main amd64 Packages
        100 /var/lib/dpkg/status
     0.12.0~trusty2 0
       1500 http://deb.tools.wmflabs.org/repo/ trusty-tools/main amd64 Packages
     0.12.0~trusty1 0
       1500 http://deb.tools.wmflabs.org/repo/ trusty-tools/main amd64 Packages
     0.12.0~precise3 0
       1500 http://deb.tools.wmflabs.org/repo/ trusty-tools/main amd64 Packages
scfc added a subscriber: scfc.Feb 24 2017, 4:11 PM

I updated the package on all Toolforge instances. Note to self: apt-get install --only-upgrade $package is bad because it can leave the instance with an unconfigured package if the configuration files have changed; clushing is very bad because that leaves 16 instances that way. Try it on one host first, then come up with clush -b -g all 'sudo apt-get install --only-upgrade -o Dpkg::Options::="--force-confold" --force-yes -y prometheus-node-exporter' and be happy.

@scfc that's awesome, thanks a lot for your help!

fgiunchedi closed this task as Resolved.Mar 2 2017, 12:48 PM

Resolving since tools has been upgraded as well.